--- title: "getCloudHadoopAddOnList" slug: "analytics-vhadoop-getcloudhadoopaddonlist" tags: ["Cloud Hadoop"] updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/analytics-vhadoop-getcloudhadoopaddonlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudHadoopAddOnList Available in VPC Get the list of add-on components that can be installed additionally in Cloud Hadoop. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vhadoop/v2/getCloudHadoopAddOnList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud Hadoop APIs, see [Cloud Hadoop request headers](/docs/en/analytics-vhadoop#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `cloudHadoopImageProductCode` | String | Required | Cluster image code - See `productCode` of [getCloudHadoopImageProductList](/docs/en/analytics-vhadoop-getcloudhadoopimageproductlist). | | `engineVersionCode` | String | Optional | Engine version code - See [getCloudHadoopImageProductList](/docs/en/analytics-vhadoop-getcloudhadoopimageproductlist). - Enter when creating a Rocky cluster. - If not entered, the latest version provided will be applied. | | `cloudHadoopClusterTypeCode` | String | Required | Cluster type code - See [getCloudHadoopClusterTypeList](/docs/en/analytics-vhadoop-getcloudhadoopclustertypelist). | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vhadoop/v2/getCloudHadoopAddOnList ?regionCode=KR &cloudHadoopImageProductCode=SW.VCHDP.LNX64.CNTOS.0708.HDP.21.B050 &cloudHadoopClusterTypeCode=CORE_HADOOP_WITH_SPARK &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getCloudHadoopAddOnListResponse` | Object | - | Response result - See [CloudHadoopAddOnList](/docs/en/common-vapidatatype-cloudhadoopaddonlist). | | `getCloudHadoopAddOnListResponse.requestId` | String | - | ID for the request - UUID format | | `getCloudHadoopAddOnListResponse.returnCode` | String | - | Response code | | `getCloudHadoopAddOnListResponse.returnMessage` | String | - | Response message | ### Response status codes For response status codes common to all Cloud Hadoop APIs, see [Cloud Hadoop response status codes](/docs/en/analytics-vhadoop#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getCloudHadoopAddOnListResponse": { "cloudHadoopAddOnList": [ { "code": "HBASE (2.2.6)", "codeName": "HBASE" }, { "code": "Impala(4.1.0)", "codeName": "IMPALA" }, { "code": "KUDU(1.16.0)", "codeName": "KUDU" }, { "code": "TRINO(377)", "codeName": "TRINO" }, { "code": "NIFI(1.23.2)", "codeName": "NIFI" } ], "requestId": "26ee25de-****-****-****-0cd368e3489f", "returnCode": "0", "returnMessage": "success" } } ```